package com.hotent.uc.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

/**
 * @description  外部部门实体表
 * @author  yangzibin
 * @date    2023/12/28 17:18
 * @param	null
 * @return
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@TableName("uc_external_org")
@ApiModel(description="外部系统同步中台组织和部门表")
public class OrgExternalOrg extends BaseModel<OrgExternalOrg> {
    /**
     * id_
     */
    @TableId("ID_")
    @ApiModelProperty(name="id",notes="id")
    protected String id;


    /**
     * 外部系统部门名称
     */
    @TableField("EXTERNAL_ORG_NAME_")
    @ApiModelProperty(name="externalName",notes="外部系统部门名称")
    protected String externalOrgName;

    /**
     * 外部系统父部门id
     */
    @TableField("ORG_EXT_PARENT_ID_")
    @ApiModelProperty(name="orgExtParentId",notes="外部系统父部门id")
    protected String orgExtParentId;

    /**
     * 系统内部部门id
     */
    @TableField("ORG_ID_")
    @ApiModelProperty(name="orgId",notes="系统内部关联id")
    protected String orgId;
    /**
     * 系统内部部门id
     */
    @TableField("EXTERNAL_ID_")
    @ApiModelProperty(name="externalId",notes="外部系统id")
    protected String externalId;

    /**
     * 系统内部部门id
     */
    @TableField("APP_ID_")
    @ApiModelProperty(name="appId",notes="第三方系统id")
    protected String appId;


    /**
     * 外部系统组织类型（0=组织1=部门2=关联组织3=虚拟组织，默认=0）
     */
    @TableField("ORG_EXT_TYPE_")
    @ApiModelProperty(name="orgExtType",notes="外部系统组织类型（0=组织1=部门2=关联组织3=虚拟组织，默认=0）")
    protected String orgExtType;

    /**
     * 外部系统组织编码
     */
    @TableField("EXTERNAL_ORG_CODE_")
    @ApiModelProperty(name="externalOrgCode",notes="外部系统组织编码")
    protected String externalOrgCode;

    /**
     * 外部系统排序字段
     */
    @TableField("EXTERNAL_ORG_ORDER_")
    @ApiModelProperty(name="externalOrgOrder",notes="外部系统排序字段")
    protected String externalOrgOrder;

    /**
     * 租户id
     */
    @TableField("TENANT_ID_")
    @ApiModelProperty(name="tenantId",notes="租户id")
    protected String tenantId;

    /**
     * 维度id
     */
    @TableField("DEM_ID_")
    @ApiModelProperty(name="demId",notes="维度id")
    protected String demId;

    /**
     * 部门id层级
     */
    @TableField("PATH_")
    @ApiModelProperty(name="path",notes="id层级")
    protected String path;

    /**
     * 部门id层级
     */
    @TableField("PATH_NAME_")
    @ApiModelProperty(name="pathName",notes="部门名称层级")
    protected String pathName;

    /**
     * 端删除标记
     */
    @TableField("EXT_DELETE_")
    @ApiModelProperty(name="extDelete",notes="删除标记")
    protected String extDelete;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME_")
    @ApiModelProperty(name="createTime",notes="创建时间")
    protected LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField("UPDATE_TIME_")
    @ApiModelProperty(name="updateTime",notes="更新时间")
    protected LocalDateTime updateTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }


    public String getExternalOrgName() {
        return externalOrgName;
    }

    public void setExternalOrgName(String externalOrgName) {
        this.externalOrgName = externalOrgName;
    }

    public String getOrgExtParentId() {
        return orgExtParentId;
    }

    public void setOrgExtParentId(String orgExtParentId) {
        this.orgExtParentId = orgExtParentId;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getOrgExtType() {
        return orgExtType;
    }

    public void setOrgExtType(String orgExtType) {
        this.orgExtType = orgExtType;
    }

    public String getExternalOrgCode() {
        return externalOrgCode;
    }

    public void setExternalOrgCode(String externalOrgCode) {
        this.externalOrgCode = externalOrgCode;
    }

    public String getExternalOrgOrder() {
        return externalOrgOrder;
    }

    public void setExternalOrgOrder(String externalOrgOrder) {
        this.externalOrgOrder = externalOrgOrder;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getDemId() {
        return demId;
    }

    public void setDemId(String demId) {
        this.demId = demId;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getPathName() {
        return pathName;
    }

    public void setPathName(String pathName) {
        this.pathName = pathName;
    }

    public String getExtDelete() {
        return extDelete;
    }

    public void setExtDelete(String extDelete) {
        this.extDelete = extDelete;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getExternalId() {
        return externalId;
    }

    public void setExternalId(String externalId) {
        this.externalId = externalId;
    }
}
